Loading...
Searching...
No Matches
ranges::views::c_str_fn Struct Reference
Views

View a `\0`-terminated C string (e.g. from a const char*) as a range. More...

`#include <range/v3/view/c_str.hpp>`

## Public Member Functions

template<typename Char > requires detail::is_char_type<Char>
::value ranges::delimit_view< ranges::subrange< Char *, ranges::unreachable_sentinel_t >, meta::_t< std::remove_cv< Char > > > | operator() (Char *sz) const volatile
template<typename Char , std::size_t N> requires detail::is_char_type<Char>
::value ranges::subrange< Char * > | operator() (Char(&sz)[N]) const

## Related Symbols

(Note that these are not member symbols.)
constexpr c_str_fn | c_str {}

## Detailed Description

View a `\0`-terminated C string (e.g. from a const char*) as a range.